Commit 1aa00c4b authored by Nate Coraor's avatar Nate Coraor Committed by Abhilash Raj

Bump required mailmanclient version to >= 3.2.3a1 for FILTER_VHOST

functionality.
parent cd956de3
......@@ -53,7 +53,7 @@ setup(
install_requires=[
'Django>=1.11,<2.2',
'django-mailman3>=1.2.0a1',
'mailmanclient>=3.2.1'
'mailmanclient>=3.2.3a1'
],
tests_require=[
"mock",
......
......@@ -31,7 +31,7 @@ class TestMiddleware(TestCase):
def setUp(self):
self.factory = RequestFactory()
@mock.patch('httplib2.Http.request')
@mock.patch('requests.request')
@mock.patch('postorius.views.list.list_index')
def test_middleware_request(self, mock_request, mock_list_index):
# Mock the view function to raise MailmanApiError and verify
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment